package com.chinaitop.depot.basic.model;

import java.math.BigDecimal;
import java.util.Date;

public class BasicTankHw {
    private Integer id;

    private Integer orgId;

    private String hwbm;

    private String hwmc;

    private String ajdm;

    private Date hwqyrq;

    private BigDecimal hwrl;

    private String bgdw;

    private String bgy;

    private String czbz;

    private Date zhgxsj;

    private String crkStatus;

    /**
     * 油罐货位主键ID
     * @return id 油罐货位主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 油罐货位主键ID
     * @param id 油罐货位主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 货位编码
     * @return hwbm 货位编码
     */
    public String getHwbm() {
        return hwbm;
    }

    /**
     * 货位编码
     * @param hwbm 货位编码
     */
    public void setHwbm(String hwbm) {
        this.hwbm = hwbm == null ? null : hwbm.trim();
    }

    /**
     * 货位名称
     * @return hwmc 货位名称
     */
    public String getHwmc() {
        return hwmc;
    }

    /**
     * 货位名称
     * @param hwmc 货位名称
     */
    public void setHwmc(String hwmc) {
        this.hwmc = hwmc == null ? null : hwmc.trim();
    }

    /**
     * 廒间代码
     * @return ajdm 廒间代码
     */
    public String getAjdm() {
        return ajdm;
    }

    /**
     * 廒间代码
     * @param ajdm 廒间代码
     */
    public void setAjdm(String ajdm) {
        this.ajdm = ajdm == null ? null : ajdm.trim();
    }

    /**
     * 货位启用日期
     * @return hwqyrq 货位启用日期
     */
    public Date getHwqyrq() {
        return hwqyrq;
    }

    /**
     * 货位启用日期
     * @param hwqyrq 货位启用日期
     */
    public void setHwqyrq(Date hwqyrq) {
        this.hwqyrq = hwqyrq;
    }

    /**
     * 货位容量(吨)
     * @return hwrl 货位容量(吨)
     */
    public BigDecimal getHwrl() {
        return hwrl;
    }

    /**
     * 货位容量(吨)
     * @param hwrl 货位容量(吨)
     */
    public void setHwrl(BigDecimal hwrl) {
        this.hwrl = hwrl;
    }

    /**
     * 保管单位
     * @return bgdw 保管单位
     */
    public String getBgdw() {
        return bgdw;
    }

    /**
     * 保管单位
     * @param bgdw 保管单位
     */
    public void setBgdw(String bgdw) {
        this.bgdw = bgdw == null ? null : bgdw.trim();
    }

    /**
     * 保管员
     * @return bgy 保管员
     */
    public String getBgy() {
        return bgy;
    }

    /**
     * 保管员
     * @param bgy 保管员
     */
    public void setBgy(String bgy) {
        this.bgy = bgy == null ? null : bgy.trim();
    }

    /**
     * 操作标志(i:新增,u:更新,d:删除)
     * @return czbz 操作标志(i:新增,u:更新,d:删除)
     */
    public String getCzbz() {
        return czbz;
    }

    /**
     * 操作标志(i:新增,u:更新,d:删除)
     * @param czbz 操作标志(i:新增,u:更新,d:删除)
     */
    public void setCzbz(String czbz) {
        this.czbz = czbz == null ? null : czbz.trim();
    }

    /**
     * 最后更新时间
     * @return zhgxsj 最后更新时间
     */
    public Date getZhgxsj() {
        return zhgxsj;
    }

    /**
     * 最后更新时间
     * @param zhgxsj 最后更新时间
     */
    public void setZhgxsj(Date zhgxsj) {
        this.zhgxsj = zhgxsj;
    }

    /**
     * 出入库状态(1空仓,2入库中,3封仓,4出库中)
     * @return crk_status 出入库状态(1空仓,2入库中,3封仓,4出库中)
     */
    public String getCrkStatus() {
        return crkStatus;
    }

    /**
     * 出入库状态(1空仓,2入库中,3封仓,4出库中)
     * @param crkStatus 出入库状态(1空仓,2入库中,3封仓,4出库中)
     */
    public void setCrkStatus(String crkStatus) {
        this.crkStatus = crkStatus == null ? null : crkStatus.trim();
    }
}