package com.chinaitop;

import org.apache.shardingsphere.spring.boot.ShardingSphereAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

@EnableEurekaClient
@SpringBootApplication(exclude = ShardingSphereAutoConfiguration.class)
@MapperScan(basePackages = {"com.chinaitop.depot.*.mapper"})
public class DepotBasicApplication {

	public static void main(String[] args) {
		SpringApplication.run(DepotBasicApplication.class, args);
	} 
}
