package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.BasicWarehouse;
import com.chinaitop.depot.basic.model.BasicWarehouseExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface BasicWarehouseMapper {
    int countByExample(BasicWarehouseExample example);

    int deleteByExample(BasicWarehouseExample example);

    int deleteByPrimaryKey(Integer warehouseId);

    int insert(BasicWarehouse record);

    int insertSelective(BasicWarehouse record);

    List<BasicWarehouse> selectByExample(BasicWarehouseExample example);

    BasicWarehouse selectByPrimaryKey(Integer warehouseId);

    int updateByExampleSelective(@Param("record") BasicWarehouse record, @Param("example") BasicWarehouseExample example);

    int updateByExample(@Param("record") BasicWarehouse record, @Param("example") BasicWarehouseExample example);

    int updateByPrimaryKeySelective(BasicWarehouse record);

    int updateByPrimaryKey(BasicWarehouse record);

	void updateWareStatus(Map<String, Object> param);

	/**
	 * 查询一个仓房的封仓时间
	 * @param param
	 * @return
	 */
	List<Map<String, String>> queryFcdate(Map<String, Object> param);
}