package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.MonitorCamera;
import com.chinaitop.depot.basic.model.MonitorCameraExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface MonitorCameraMapper {
    long countByExample(MonitorCameraExample example);

    int deleteByExample(MonitorCameraExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MonitorCamera record);

    int insertSelective(MonitorCamera record);

    List<MonitorCamera> selectByExample(MonitorCameraExample example);

    MonitorCamera selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MonitorCamera record, @Param("example") MonitorCameraExample example);

    int updateByExample(@Param("record") MonitorCamera record, @Param("example") MonitorCameraExample example);

    int updateByPrimaryKeySelective(MonitorCamera record);

    int updateByPrimaryKey(MonitorCamera record);

    List<MonitorCamera> selectByNVRDates(Map<String,Object> map);

    List<MonitorCamera> selectByCameraAndNVR();

    List<Map<String,Object>> selectByGroupId(String groupIds);
}