package com.chinaitop.depot.basic.service;

import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.basic.model.BasicTank;
import com.chinaitop.depot.basic.model.BasicTankExample;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

public interface BasicTankService {


    List<BasicTank> findBasicTank(BasicTankExample example);

    void saveOrEdit(HttpServletRequest request, BasicTank basicTank,Integer orgId);

    BasicTank findByPrimary(Integer id);

    void updateBasicTank(Integer id, Integer delFlag) throws Exception;

    Boolean findStorageTankCodeList(BasicTankExample basicTankExample, Integer id);

    String importData(List<List<String>> list, JSONObject user,String orgCode);

    /**
     * 更新油罐信息
     * 
     * @param request
     * @param tankJson 油罐数据对象
     * @param orgId 单位ID
     * @return
     */
	Map<String, Object> updateOrSave(HttpServletRequest request, String tankJson, Integer orgId) throws Exception;
}
